
#include "deelx.h"

int main()
{
	// pattern and text
	char ptn[] = "\\d+\\.?\\d*|\\.\\d+";
	char txt[] = "such as 1, 234, 12.5, .78 etc";

	// compile
	CRegexpT <char> regexp(ptn);

	// find first
	MatchResult result = regexp.Match(txt);

	while(result.IsMatched())
	{
		// print found
		printf("%.*s\n", result.GetEnd() - result.GetStart(), txt + result.GetStart());

		// find next
		result = regexp.Match(txt, result.GetEnd());
	}

	return 0;
}
